RDKit: RDKit::SLNParse Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Enumerations | Functions
RDKit::SLNParse Namespace Reference

## Classes
class | AttribType

## Typedefs
typedef std::vector< std::pair< AttribCombineOp, boost::shared_ptr< AttribType > > > | AttribListType

## Enumerations
enum | AttribCombineOp { AttribLowPriAnd = 0, AttribOr, AttribAnd, AttribNot }

## Functions
void | parseAtomAttribs (Atom *atom, AttribListType attribs, bool doingQuery)
| parses the attributes provided for an atom and sets More...
void | parseFinalAtomAttribs (Atom *atom, bool doingQuery)
void | parseBondAttribs (Bond *bond, AttribListType attribs, bool doingQuery)
| parses the attributes provided for a bond and sets More...
void | parseFinalBondAttribs (Bond *bond, bool doingQuery)
void | parseMolAttribs (ROMol *mol, AttribListType attribs)
| parses the attributes provided for a ctab and sets More...
void | adjustAtomChiralities (RWMol *mol)
void | finalizeQueryMol (ROMol *mol, bool mergeHs)
template<typename AtomType >
int | startMol (std::vector< RWMol * > &molList, AtomType *firstAtom, bool doingQuery)
| initialize a molecule More...
template<typename AtomType , typename BondType >
void | addAtomToMol (std::vector< RWMol * > &molList, unsigned int idx, AtomType *atom, BondType *bond, bool doingQuery)
| adds an atom to a molecule More...
template<typename AtomType >
void | addAtomToMol (std::vector< RWMol * > &molList, unsigned int idx, AtomType *atom, bool doingQuery)
template<typename BondType >
void | closeRingBond (std::vector< RWMol * > &molList, unsigned int molIdx, unsigned int ringIdx, BondType *bond, bool postponeAllowed=true)
| closes an indexed ring in a molecule using the bond provided More...
void | closeRingBond (std::vector< RWMol * > &molList, unsigned int molIdx, unsigned int ringIdx)
template<typename BondType >
int | addBranchToMol (std::vector< RWMol * > &molList, unsigned int molIdx, unsigned int branchIdx, BondType *&bond)
int | addBranchToMol (std::vector< RWMol * > &molList, unsigned int molIdx, unsigned int branchIdx)
int | addFragToMol (std::vector< RWMol * > &molList, unsigned int molIdx, unsigned int fragIdx)
| adds the atoms and bonds from a fragment to the molecule, sets no bond More...
template<typename T >
std::string | convertToString (T val)
| convenience function to convert the argument to a string More...
void | CleanupAfterParseError (RWMol *mol)

## Typedef Documentation

typedef std::vector<std::pair<AttribCombineOp, boost::shared_ptr<AttribType> > > RDKit::SLNParse::AttribListType

Definition at line 65 of file SLNAttribs.h.

## Enumeration Type Documentation

enum RDKit::SLNParse::AttribCombineOp

Enumerator
AttribLowPriAnd |
AttribOr |
AttribAnd |
AttribNot |

Definition at line 46 of file SLNAttribs.h.

## Function Documentation

template<typename AtomType , typename BondType >

void RDKit::SLNParse::addAtomToMol | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | idx,
|  | AtomType * | atom,
|  | BondType * | bond,
|  | bool | doingQuery
| ) |  |

adds an atom to a molecule

Definition at line 113 of file SLNParseOps.h.

References RDKit::Atom::getIdx(), PRECONDITION, and RDKit::Bond::SINGLE.

Referenced by addAtomToMol().

template<typename AtomType >

void RDKit::SLNParse::addAtomToMol | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | idx,
|  | AtomType * | atom,
|  | bool | doingQuery
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 143 of file SLNParseOps.h.

References addAtomToMol(), and RDKit::Bond::SINGLE.

template<typename BondType >

int RDKit::SLNParse::addBranchToMol | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | molIdx,
|  | unsigned int | branchIdx,
|  | BondType *& | bond
| ) |  |

Definition at line 194 of file SLNParseOps.h.

References CHECK_INVARIANT, closeRingBond(), RDKit::Bond::getEndAtomIdx(), RDKit::Bond::IONIC, PRECONDITION, RDKit::Bond::setEndAtomIdx(), and RDKit::Bond::setOwningMol().

Referenced by addBranchToMol(), and addFragToMol().

int RDKit::SLNParse::addBranchToMol | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | molIdx,
|  | unsigned int | branchIdx
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 279 of file SLNParseOps.h.

References addBranchToMol(), and RDKit::Bond::SINGLE.

int RDKit::SLNParse::addFragToMol | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | molIdx,
|  | unsigned int | fragIdx
| ) |  |

adds the atoms and bonds from a fragment to the molecule, sets no bond

Definition at line 288 of file SLNParseOps.h.

References addBranchToMol(), and RDKit::Bond::IONIC.

void RDKit::SLNParse::adjustAtomChiralities | ( | RWMol * | mol | ) |

void RDKit::SLNParse::CleanupAfterParseError | ( | RWMol * | mol | ) |

Definition at line 301 of file SLNParseOps.h.

References PRECONDITION.

template<typename BondType >

void RDKit::SLNParse::closeRingBond | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | molIdx,
|  | unsigned int | ringIdx,
|  | BondType * | bond,
|  | bool | postponeAllowed = `true`
| ) |  |

closes an indexed ring in a molecule using the bond provided

Definition at line 154 of file SLNParseOps.h.

References CHECK_INVARIANT, PRECONDITION, and RDKit::Atom::setOwningMol().

Referenced by addBranchToMol(), and closeRingBond().

void RDKit::SLNParse::closeRingBond | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | molIdx,
|  | unsigned int | ringIdx
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 186 of file SLNParseOps.h.

References closeRingBond(), and RDKit::Bond::SINGLE.

template<typename T >

std::string RDKit::SLNParse::convertToString | ( | T | val | ) |

convenience function to convert the argument to a string

Definition at line 296 of file SLNParseOps.h.

void RDKit::SLNParse::finalizeQueryMol | ( | ROMol * | mol,
|  | bool | mergeHs
| ) |  |

void RDKit::SLNParse::parseAtomAttribs | ( | Atom * | atom,
|  | AttribListType | attribs,
|  | bool | doingQuery
| ) |  |

parses the attributes provided for an atom and sets

void RDKit::SLNParse::parseBondAttribs | ( | Bond * | bond,
|  | AttribListType | attribs,
|  | bool | doingQuery
| ) |  |

parses the attributes provided for a bond and sets

void RDKit::SLNParse::parseFinalAtomAttribs | ( | Atom * | atom,
|  | bool | doingQuery
| ) |  |

void RDKit::SLNParse::parseFinalBondAttribs | ( | Bond * | bond,
|  | bool | doingQuery
| ) |  |

void RDKit::SLNParse::parseMolAttribs | ( | ROMol * | mol,
|  | AttribListType | attribs
| ) |  |

parses the attributes provided for a ctab and sets

template<typename AtomType >

int RDKit::SLNParse::startMol | ( | std::vector< RWMol * > & | molList,
|  | AtomType * | firstAtom,
|  | bool | doingQuery
| ) |  |

initialize a molecule

Definition at line 87 of file SLNParseOps.h.

References RDKit::RWMol::addAtom(), RDKit::RWMol::addBond(), PRECONDITION, and RDKit::Bond::SINGLE.